

public class SolutionViewer extends Thread {
	private Sokoban applet;
	private String solution;
	private boolean stop;

	public SolutionViewer(Sokoban applet, String solution) {
		this.applet = applet;
		this.solution = solution;
		start();
	}

	public void setStop(boolean stop) {
		this.stop = stop;
	}

	public void run() {
		int i = 0;
		while (true) {
			try {
				Thread.sleep(100);
			} catch (Exception e) {
			}
			applet.moveByChar(solution.charAt(i));
			if (++i == solution.length()) {
				i = 0;
				applet.resetLevel();
			}
			if (stop) {
				applet.startLevel();
				break;
			}
		}
	}
}
